Upgrade Jackson to 1.9 to support @JsonUnwrap #56

Closed
PokerChang opened this Issue Oct 31, 2011 · 1 comment

Projects

None yet

2 participants

@JsonUnwrap is the most voted feature request for Jackson 1.9. It's very useful for many projects.

However, the current version of Ektorp only references 1.8.5. I tried to upgrade to 1.9 and get the following error:

java.lang.NoSuchMethodError: org.codehaus.jackson.map.DeserializationConfig.isEnabled

Seems like Jackson has made some breaking changes to 1.9.

Here is some context for this feature request:
http://jira.codehaus.org/browse/JACKSON-132

Owner
helun commented Nov 7, 2011

will be fixed in 1.3.0

@helun helun closed this in 0276365 Feb 5, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment